/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import java.io.*;
import java.util.*;

public class DirAsc implements Comparator
{
	public int compare(Object o1, Object o2)
	{
		File f1 = (File)o1;
		File f2 = (File)o2;

		int i1 = Integer.parseInt(f1.getName());
		int i2 = Integer.parseInt(f2.getName());

		if(i1 > i2)
		{
			return 1;
		}
		else if(i1 < i2)
		{
			return -1;
		}
		else
		{
			return 0;
		}
	}
}