/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

import java.io.*;
import java.net.*;



public class Include
{
	public void include(File dir) throws Exception
	{
		File[] files = dir.listFiles();
		URL[] urls = new URL[files.length];
		for(int i=0; i<files.length; i++)
		{
			System.out.println("Include jar:"+files[i].getPath());
			urls[i] = files[i].toURL();
		}

		ClassLoader prevCl = Thread.currentThread().getContextClassLoader();
		URLClassLoader loader = URLClassLoader.newInstance(urls, prevCl);

	}
}