/**
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
**/

package amberstone.transaction;

import amberstone.lang.*;

import amberstone.data.Key;

public class PropTemplate
{
	private Key name;
	private Prop value;

	public PropTemplate(Key name, Prop value)
	{
		this.name = name;
		this.value = value;
	}

	public Key getName()
	{
		return this.name;
	}

	public Prop getProp() throws FunctionException
	{
		return value.cloneProp(name);
	}
}