
package amberstone.util;

import java.io.IOException;
import java.util.Properties;

import jdbm.RecordManager;
import jdbm.RecordManagerOptions;
import jdbm.RecordManagerProvider;
import jdbm.recman.BaseRecordManager;

public final class DBMProvider implements RecordManagerProvider
{
    public RecordManager createRecordManager(String name,
                                             Properties options)
        throws IOException
    {
        RecordManager recman = new BaseRecordManager(name);

        String value = options.getProperty(RecordManagerOptions.DISABLE_TRANSACTIONS, "false");
        if(value.equalsIgnoreCase("TRUE"))
        {
            ((BaseRecordManager)recman).disableTransactions();
        }

        return recman;
    }
}
